Plank.DrawingService.average_color – plank Reference Manual

# average_color

## Description:

public static Color average_color (Pixbuf source)

Computes and returns the average color of a Gdk.Pixbuf. The resulting color is the average of all pixels which aren't nearly transparent while saturated pixels are weighted more than "grey" ones.

## Parameters:

source | the pixbuf to use

## Returns:

the average color of the pixbuf